# $Revision: 1.64 $, $Date: 2008/09/27 15:14:16 $
Summary:	The GNOME Volume Manager
Summary(pl.UTF-8):	Zarządca woluminów dla GNOME
Name:		gnome-volume-manager
Version:	2.24.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-volume-manager/2.24/%{name}-%{version}.tar.bz2
# Source0-md5:	a8ae620c2633f3ac13444736ef61122a
Patch0:		%{name}-defaults.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libnotify-devel >= 0.4.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	dbus >= 0.91
Requires:	eject
Requires:	gnome-mount
Requires:	hal >= 0.5.10
Requires:	libgnomeui >= 2.24.0
Requires:	notification-daemon >= 0.3.5
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNOME Volume Manager monitors volume-related events and responds
with user-specified policy. The GNOME Volume Manager can automount
hot-plugged drives, automount inserted removable media, autorun
programs, automatically play audio CDs and video DVDs, and
automatically import photos from a digital camera. The GNOME Volume
Manager does this entirely in user-space and without polling.

%description -l pl.UTF-8
Zarządca woluminów dla GNOME monitoruje zdarzenia związane z
woluminami i reaguje na nie zgodnie z polityką określoną przez
użytkownika. Program ten potrafi automatycznie montować urządzenia
hotplug oraz nośniki wymienne, odtwarzać płyty audio, czy DVD, a także
automatycznie importować zdjęcia z aparatu cyfrowego. Zarządca ten
działa w przestrzeni użytkownika.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--with-console-auth-dir=%{_localstatedir}/lock/console/
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-volume-manager.schemas

%preun
%gconf_schema_uninstall gnome-volume-manager.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-volume-properties
%attr(755,root,root) %{_libdir}/gnome-volume-manager
%{_sysconfdir}/xdg/autostart/gnome-volume-manager.desktop
%{_datadir}/%{name}
%{_desktopdir}/gnome-volume-properties.desktop
%{_sysconfdir}/gconf/schemas/gnome-volume-manager.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-volume-manager.spec,v $
Revision 1.64  2008/09/27 15:14:16  megabajt
- updated to 2.24.0

Revision 1.63  2008/04/26 20:27:06  megabajt
- updated to 2.22.5

Revision 1.62  2008-04-24 18:08:28  megabajt
- updated to 2.22.3
- removed obsolete -po.patch

Revision 1.61  2008-01-18 20:37:02  megabajt
- updated to 2.22.1

Revision 1.60  2007-12-27 10:43:45  megabajt
- release 2

Revision 1.59  2007-12-07 17:07:07  megabajt
- updated to 2.22.0
- removed obsolete desktop patch
- fixed typo (-po.patch)
- used better way to fix locale name

Revision 1.58  2007-11-04 23:56:44  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.57  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.55  2006/12/22 22:43:14  dzeus
- up to 2.17.0

Revision 1.54  2006/08/10 21:31:40  freetz
- rel.2, rebuild with new dbus

Revision 1.53  2006/08/01 18:10:52  freetz
- 2.15.0

Revision 1.52  2006/07/14 17:00:12  freetz
- rel.5, updated deps, --as-needed support

Revision 1.51  2006/06/09 22:06:51  freetz
- rel.4, GNOME 2.15.x deps

Revision 1.50  2006/05/27 00:07:22  qboosh
- merged deps update and defaults patch from AC-branch

Revision 1.37.2.3  2006/05/21 10:18:55  freetz
- require gnome-mount and eject by default, added defaults-patch (tunning)
  rel.3, STBR

Revision 1.37.2.2  2006/05/18 22:15:51  baggins
- release 2
- strict reqs

Revision 1.37.2.1  2006/05/15 17:07:57  baggins
- merged from HEAD

Revision 1.49  2006/03/10 19:28:33  freetz
- 1.5.15, bug332762.patch already in sources

Revision 1.48  2006/03/01 21:54:45  freetz
- fixed http://bugzilla.gnome.org/show_bug.cgi?id=332762, rel.3

Revision 1.47  2006/02/28 15:44:28  freetz
- fixed one more time autostart dir location, rel.2

Revision 1.46  2006/02/27 17:45:06  freetz
- 1.5.14, dropped user_at_console patch

Revision 1.45  2006/02/19 18:21:20  freetz
- disable user_at_console for now (it's enabled in dbus now)

Revision 1.44  2006/02/16 08:29:15  freetz
- fix autostart dir, rel.3

Revision 1.43  2006/02/11 11:00:17  freetz
- say no to pam_console checks (patch added), enabled eye candy, rel.2

Revision 1.42  2006/02/10 22:39:59  freetz
- 1.5.13

Revision 1.41  2006/02/02 17:05:00  freetz
- 1.5.12

Revision 1.40  2006/01/31 18:22:52  patrys
- up to 1.5.11

Revision 1.39  2006/01/22 19:16:43  dzeus
- up to 1.5.10, removed less_verbose.patch (obsolete)

Revision 1.38  2005/12/19 22:45:11  freetz
- 1.5.7, removed obsolete eject_path patch, dropped reconnect_on_dbus_exit
  patch (hal must be reworked first to make any use of this feature)

Revision 1.37  2005/10/27 20:20:14  freetz
- 1.5.4

Revision 1.36  2005/10/07 12:40:45  freetz
- 1.5.3

Revision 1.35  2005/10/04 20:12:31  freetz
- 1.5.2

Revision 1.34  2005/09/08 14:25:34  paladine
- updated to 1.5.1
- added eject_path patch

Revision 1.33  2005/09/06 15:56:40  freetz
- 1.4.0, nonmountable_media.patch removed (already included), re-enabled
  less_verbose patch

Revision 1.32  2005/09/04 15:25:24  arekm
- rel 3; new dbus

Revision 1.31  2005/08/24 11:17:47  paladine
- added 2 patches from ubuntu
- rel. 2

Revision 1.30  2005/08/23 14:55:56  paladine
- added missing commit log

Revision 1.29  2005/08/23 14:35:15  paladine
- unpmountize
- itemize schemas

Revision 1.28  2005/08/04 18:02:39  freetz
- R: eject for CD volumes

Revision 1.27  2005/08/04 18:00:47  freetz
- pmountized, rel.1

Revision 1.26  2005/07/03 21:37:09  freetz
- 1.3.2, patches 1/2 disabled, small notes added, updated BRs

Revision 1.25  2005/05/19 20:13:26  wrobell
- fixed source uri

Revision 1.24  2005/05/19 19:44:14  wrobell
- ver. 1.3.1 with support for hal 0.5.x

Revision 1.23  2005/05/11 20:09:08  freetz
- 1.2.2

Revision 1.22  2005/04/13 20:42:44  paladine
- new style macros, rel. 3

Revision 1.21  2005/04/06 08:38:48  paladine
- missing BR: rpmbuild(macros) >= 1.196

Revision 1.20  2005/04/04 18:01:43  freetz
- added less_verbose patch (disables debbuging msgs)
- new style gconf macro, rel.2

Revision 1.19  2005/03/31 10:16:49  paladine
- updated to 1.2.1, STBR

Revision 1.18  2005/03/27 16:56:00  qboosh
- sorted BRs

Revision 1.17  2005/03/27 16:17:09  freetz
- removed magicdev support, dropped officialy in GNOME 2.8.x

Revision 1.16  2005/03/27 15:35:36  freetz
- merged from DEVEL

Revision 1.15  2005/02/26 11:48:48  paladine
- updated to 1.0.3
- proper license
- missing BR: pkgconfig

Revision 1.14  2004/12/10 16:23:36  krzak
- rel. 4
- mount-argument.patch  add "-s" when execute /bin/mount

Revision 1.13.2.4  2005/03/13 00:59:55  aflinta
- up to version 1.2.0

Revision 1.13.2.3  2005/02/02 17:31:50  grzegol
- updated to 1.1.3

Revision 1.13.2.2  2004/10/31 16:39:00  freetz
- 1.1.2

Revision 1.13.2.1  2004/10/18 14:27:32  freetz
- starting some developement, 1.1.1 unofficial tarball

Revision 1.13  2004/09/23 14:14:43  grzegol
- added magicdev-wrapper (Source1) script - for compatibility with magicdev
  (now gnome-volume-manager should be started at GNOME startup)
- rel. 3

Revision 1.12  2004/09/23 13:55:02  grzegol
- added Obsolets/Provides: magicdev
- R/BR: hal >= 0.2.98
- rel. 2

Revision 1.11  2004/09/13 12:03:13  grzegol
- updated to 1.0.2

Revision 1.10  2004/09/10 10:02:15  aflinta
- up to version 1.0.1

Revision 1.9  2004/08/30 18:42:35  aflinta
- up to version 0.9.10

Revision 1.8  2004/08/13 21:29:48  aflinta
- up to version 0.9.9

Revision 1.7  2004/08/13 21:01:40  grzegol
- updated BRs (hal >= 0.2.91 and intltool >= 0.28)

Revision 1.6  2004/08/13 20:48:40  aflinta
- up to version 0.9.8

Revision 1.5  2004/07/26 11:19:13  grzegol
- added desktop patch (s/Application/GTK;GNOME/)
- rel. 2

Revision 1.4  2004/05/03 12:16:19  grzegol
- updated to 0.9.2

Revision 1.3  2004/04/09 15:50:57  grzegol
- updated to 0.9.1

Revision 1.2  2004/03/22 07:04:52  ankry
- pl cosmetics

Revision 1.1  2004/03/21 22:50:36  grzegol
- new
